Package com.documentum.fc.client.search

# Interface IDfLocationQueryScope

All Superinterfaces:
  `IDfQueryScope`

public interface IDfLocationQueryScope extends IDfQueryScope
Defines a specific location within a searched source. It can be added to the `IDfQueryBuilder`.

See Also:
  - `IDfQueryBuilder.addLocationScope(java.lang.String, java.lang.String, boolean)`

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.search.IDfQueryScope

  `SCOPE_EXPRESSION, SCOPE_LOCATION, SCOPE_PARTITION, SCOPE_UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfObjectPath`
  `getLocationPath()`
  Gets the location path.
  `String`
  `getSource()`
  Gets the target source.
  `boolean`
  `isDescend()`
  Indicates whether the location sub-folders are part of the scope.
  `boolean`
  `isExcluded()`
  Indicates whether the location is an excluded scope.

  ### Methods inherited from interface com.documentum.fc.client.search.IDfQueryScope

  `getScopeType`

- ## Method Details

  - ### getSource

    String getSource()
    Gets the target source.
    Returns:
      The target source.

  - ### getLocationPath

    IDfObjectPath getLocationPath() throws DfUnreachableLocationException, DfIdentityException, DfAuthenticationException, DfException
    Gets the location path.

    This method is not supported for location scope created with an IDfId.
    Returns:
      The location path.
    Throws:
      `DfUnreachableLocationException` - If the location is not reachable (either not existing or insufficient access permission).
      `DfIdentityException` - If the target source is unknown or if the login information is missing.
      `DfAuthenticationException` - If the authentication failed with the login information.
      `DfException` - If a session error occurs, or if a server error occurs.

  - ### isDescend

    boolean isDescend()
    Indicates whether the location sub-folders are part of the scope.
    Returns:
      `true` if the location sub-folders are part of the scope; `false` otherwise.

  - ### isExcluded

    boolean isExcluded()
    Indicates whether the location is an excluded scope.
    Returns:
      `true` if the location is an excluded scope; `false` otherwise.